org.deidentifier.arx.criteria

## Class ProfitabilityJournalist

- java.lang.Object
- - org.deidentifier.arx.criteria.PrivacyCriterion
  - - org.deidentifier.arx.criteria.ImplicitPrivacyCriterion
    - - org.deidentifier.arx.criteria.ProfitabilityProsecutor
      - - org.deidentifier.arx.criteria.ProfitabilityJournalist

All Implemented Interfaces:
  java.io.Serializable

    public class ProfitabilityJournalist
    extends ProfitabilityProsecutor

Privacy model for the game theoretic approach proposed in: A Game Theoretic Framework for Analyzing Re-Identification Risk. Zhiyu Wan, Yevgeniy Vorobeychik, Weiyi Xia, Ellen Wright Clayton, Murat Kantarcioglu, Ranjit Ganta, Raymond Heatherly, Bradley A. Malin PLOS|ONE. 2015.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProfitabilityJournalist(DataSubset subset)` Creates a new instance of game theoretic approach proposed in: A Game Theoretic Framework for Analyzing Re-Identification Risk.

### Method Summary

All Methods Instance Methods Concrete Methods
`ProfitabilityJournalist` `clone()` Clone
`PrivacyCriterion` `clone(DataSubset subset)` Clone for local recoding
`DataSubset` `getDataSubset()` If a privacy model uses a data subset, it must overwrite this method
`int` `getRequirements()` Returns the criterion's requirements.
`boolean` `isLocalRecodingSupported()` Returns whether the criterion supports local recoding.
`boolean` `isSubsetAvailable()` If a privacy model uses a data subset, it must overwrite this method
`ElementData` `render()` Renders the privacy model
`java.lang.String` `toString()` Returns a string representation.

### Methods inherited from class org.deidentifier.arx.criteria.ProfitabilityProsecutor

`initialize, isAnonymous`

### Methods inherited from class org.deidentifier.arx.criteria.PrivacyCriterion

`getMinimalClassSize, getPopulationModel, getRiskThresholdJournalist, getRiskThresholdMarketer, getRiskThresholdProsecutor, getSubset, isHeuristicSearchSupported, isHeuristicSearchWithTimeLimitSupported, isMinimalClassSizeAvailable, isMonotonicWithGeneralization, isMonotonicWithSuppression, isOptimalSearchSupported, isSampleBased`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProfitabilityJournalist

    public ProfitabilityJournalist(DataSubset subset)

Creates a new instance of game theoretic approach proposed in: A Game Theoretic Framework for Analyzing Re-Identification Risk. Zhiyu Wan, Yevgeniy Vorobeychik, Weiyi Xia, Ellen Wright Clayton, Murat Kantarcioglu, Ranjit Ganta, Raymond Heatherly, Bradley A. Malin PLOS|ONE. 2015.

### Method Detail

#### clone

    public ProfitabilityJournalist clone()

Description copied from class: `PrivacyCriterion`
Clone

Overrides:
  `clone` in class `ProfitabilityProsecutor`

#### clone

    public PrivacyCriterion clone(DataSubset subset)

Description copied from class: `PrivacyCriterion`
Clone for local recoding

Overrides:
  `clone` in class `ProfitabilityProsecutor`

#### getDataSubset

    public DataSubset getDataSubset()

Description copied from class: `PrivacyCriterion`
If a privacy model uses a data subset, it must overwrite this method

Overrides:
  `getDataSubset` in class `ProfitabilityProsecutor`
Returns:

#### getRequirements

    public int getRequirements()

Description copied from class: `PrivacyCriterion`
Returns the criterion's requirements.

Overrides:
  `getRequirements` in class `ProfitabilityProsecutor`
Returns:

#### isLocalRecodingSupported

    public boolean isLocalRecodingSupported()

Description copied from class: `PrivacyCriterion`
Returns whether the criterion supports local recoding.

Overrides:
  `isLocalRecodingSupported` in class `ProfitabilityProsecutor`
Returns:

#### isSubsetAvailable

    public boolean isSubsetAvailable()

Description copied from class: `PrivacyCriterion`
If a privacy model uses a data subset, it must overwrite this method

Overrides:
  `isSubsetAvailable` in class `ProfitabilityProsecutor`
Returns:

#### render

    public ElementData render()

Description copied from class: `PrivacyCriterion`
Renders the privacy model

Overrides:
  `render` in class `ProfitabilityProsecutor`
Returns:

#### toString

    public java.lang.String toString()

Description copied from class: `PrivacyCriterion`
Returns a string representation.

Overrides:
  `toString` in class `ProfitabilityProsecutor`